Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
PARA Struct Reference

`#include <ocrpara.h>`

Inheritance diagram for PARA:

List of all members.

## Public Member Functions

| PARA ()
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

const ParagraphModel * | model
bool | is_list_item
bool | is_very_first_or_continuation
bool | has_drop_cap

## Detailed Description

Definition at line 29 of file ocrpara.h.

## Constructor & Destructor Documentation

PARA::PARA | ( |  | ) |

inline

Definition at line 31 of file ocrpara.h.

: model(NULL), is_list_item(false),
is_very_first_or_continuation(false), has_drop_cap(false) {}

## Member Data Documentation

bool PARA::has_drop_cap

Definition at line 46 of file ocrpara.h.

bool PARA::is_list_item

Definition at line 38 of file ocrpara.h.

bool PARA::is_very_first_or_continuation

Definition at line 43 of file ocrpara.h.

const ParagraphModel* PARA::model

Definition at line 36 of file ocrpara.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/ocrpara.h